Support Questions

Find answers, ask questions, and share your expertise
Announcements
Celebrating as our community reaches 100,000 members! Thank you!

HUE desktop problem - can not open oozie workflow editor

avatar
New Contributor

Hi,

I’m facing a problem that I could not solve. Can somebody help me?
The details are below.

Thanks!

Cloudera CDH 6.2.1 HUE bundle
Hue 4.3.0 - cdh6.2.1

Problem:
Can not open workflow editor, or scheduler editor
Log:

[28/Feb/2020 09:42:16 +0100] access ERROR 172.26.151.2 admin - “POST /desktop/log_js_error HTTP/1.1”-- JS ERROR: {“msg”:“Uncaught ReferenceError: Unable to process binding “click: function(){return openShareModal }”\nMessage: openShareModal is not defined”,“url”:“http://172.26.151.122:8888/static/desktop/js/hue-bundle.651d3f665f75.js",“line”:52,“column”:14162,“s... Unable to process binding “click: function(){return openShareModal }”\nMessage: openShareModal is not defined\n at click (eval at t (http://172.26.151.122:8888/static/desktop/js/hue-bundle.651d3f665f75.js:52:10372), :3:58)\n at a (http://172.26.151.122:8888/static/desktop/js/hue-bundle.651d3f665f75.js:51:1216)\n at init (http://172.26.151.122:8888/static/desktop/js/hue-bundle.651d3f665f75.js:52:25912)\n at init (http://172.26.151.122:8888/static/desktop/js/hue-bundle.651d3f665f75.js:51:1259)\n at http://172.26.151.122:8888/static/desktop/js/hue-bundle.651d3f665f75.js:52:13788\n at Object.ignore (http://172.26.151.122:8888/static/desktop/js/hue-bundle.651d3f665f75.js:51:21950)\n at http://172.26.151.122:8888/static/desktop/js/hue-bundle.651d3f665f75.js:52:13764\n at Object.arrayForEach (http://172.26.151.122:8888/static/desktop/js/hue-bundle.651d3f665f75.js:51:3630)\n at p (http://172.26.151.122:8888/static/desktop/js/hue-bundle.651d3f665f75.js:52:13620)\n at l (http://172.26.151.122:8888/static/desktop/js/hue-bundle.651d3f665f75.js:52:12433)”}

[28/Feb/2020 09:54:49 +0100] access ERROR 172.26.151.2 admin - “POST /desktop/log_js_error HTTP/1.1”-- JS ERROR: {“msg”:“Uncaught ReferenceError: initSharing is not defined”,“url”:“http://bda3.omnit.sol:8889/hue/logs/",“line”:903,“column”:24,“stack”:"ReferenceError: initSharing is not defined\n at http://bda3.omnit.sol:8889/hue/logs/:903:24”}

1 ACCEPTED SOLUTION

avatar
Master Guru
hide-solution

This problem has been solved!

Want to get a detailed solution you have to login/registered on the community

Register/Login
4 REPLIES 4

avatar
Master Guru
hide-solution

This problem has been solved!

Want to get a detailed solution you have to login/registered on the community

Register/Login

avatar
New Contributor

Hi GangWar,

unfortunately I have to downgrade to HUE3,

so it would take time.

 

I have to mention,

that the linux environment is OEL 6.10, with python27 installed.

Oozie editor apperas, but it is not modifiable.

Below is the screenshot of the page.

Thank your for your efforts, cheers!

 

HUE 4.4 Ooozie editorHUE 4.4 Ooozie editor

 

lsb_release -a
LSB Version: :base-4.0-amd64:base-4.0-noarch:core-4.0-amd64:core-4.0-noarch:graphics-4.0-amd64:graphics-4.0-noarch:printing-4.0-amd64:printing-4.0-noarch
Distributor ID: OracleServer
Description: Oracle Linux Server release 6.10
Release: 6.10
Codename: n/a

 

yum list installed |grep python27
python27.x86_64 1.1-25.el6 @public_ol6_collections
python27-MySQL-python.x86_64 1.2.3-10.el6 @public_ol6_collections
python27-python.x86_64 2.7.17-2.0.1.el6 @public_ol6_collections
python27-python-babel.noarch 0.9.6-7.el6 @public_ol6_collections
python27-python-debug.x86_64 2.7.17-2.0.1.el6 @public_ol6_collections
python27-python-devel.x86_64 2.7.17-2.0.1.el6 @public_ol6_collections
python27-python-docutils.noarch 0.11-2.el6 @public_ol6_collections
python27-python-jinja2.noarch 2.6-12.el6 @public_ol6_collections
python27-python-libs.x86_64 2.7.17-2.0.1.el6 @public_ol6_collections
python27-python-markupsafe.x86_64 0.11-11.el6 @public_ol6_collections
python27-python-nose.noarch 1.3.0-1.el6 @public_ol6_collections
python27-python-pip.noarch 8.1.2-2.el6 @public_ol6_collections
python27-python-psycopg2.x86_64 2.5.1-1.el6 @public_ol6_collections
python27-python-pygments.noarch 1.5-2.el6 @public_ol6_collections
python27-python-setuptools.noarch 0.9.8-4.el6 @public_ol6_collections
python27-python-simplejson.x86_64 3.2.0-2.el6 @public_ol6_collections
python27-python-sphinx.noarch 1.1.3-7.el6 @public_ol6_collections
python27-python-sqlalchemy.x86_64 0.7.9-3.el6 @public_ol6_collections
python27-python-test.x86_64 2.7.17-2.0.1.el6 @public_ol6_collections
python27-python-tools.x86_64 2.7.17-2.0.1.el6 @public_ol6_collections
python27-python-virtualenv.noarch 13.1.0-2.el6 @public_ol6_collections
python27-python-werkzeug.noarch 0.8.3-5.el6 @public_ol6_collections
python27-python-wheel.noarch 0.24.0-2.el6 @public_ol6_collections
python27-runtime.x86_64 1.1-25.el6 @public_ol6_collections
python27-tkinter.x86_64 2.7.17-2.0.1.el6 @public_ol6_collections

 

avatar
Super Guru

Look for additional errors in /var/log/hue/error.log when using the WebUI.  The client sider errors within the UI may not be very helpful to trouble shoot.

 

 

 

avatar
New Contributor

Hi Guys,

 

the solution was to change the browser that I use.

The erroneous browser is my Chrome Version 80.0.3987.132 (Official Build) (64-bit)

with some AD blockers installed.

 

Everything seems to be fine when I changed to Microsoft Edge

so I will try other browsers among a clean install of Chrome as well.

 

Sorry for the inconvenience and thanks for your efforts.